%define shortname	torrent-rasterbar
%define major		6
%define libname		%mklibname %{shortname} %{major}
%define develname	%mklibname %{shortname} -d

Summary:	The Rasterbar BitTorrent library
Name:		libtorrent-rasterbar
Version:	0.15.9
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.rasterbar.com/products/libtorrent/
Source0:	http://libtorrent.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python)
BuildRequires:	geoip-devel

%description
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n %{libname}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library
Obsoletes:	%{mklibname %{shortname} 1}

%description -n %{libname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible.

%package -n python-%{name}
Group:		System/Libraries
Summary:	The Rasterbar BitTorrent library's Python bindings
%{py_requires}
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains Python bindings.

%package -n %{develname}
Group:		Development/C
Summary:	The Rasterbar BitTorrent library's development headers
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
libtorrent-rasterbar is a C++ library that aims to be a good
alternative to all the other bittorrent implementations around. It is
a library and not a full featured client. It is not the same as the
other libtorrent, as used by the 'rtorrent' application, that is in
the 'libtorrent' package. The two are completely different and
incompatible. This package contains development libraries and headers.

%prep
%setup -q

%build
%configure2_5x --disable-static \
	--enable-python-binding \
	--with-zlib=system \
	--with-libgeoip=system \
	--enable-encryption \
	--enable-dht \
	--with-boost-libdir=%{_libdir} \
	--with-boost-system=boost_system-mt \
	--with-boost-filesystem=boost_filesystem-mt \
	--with-boost-thread=boost_thread-mt \
	--with-boost-python=boost_python-mt
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/libtorrent
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%{name}
%defattr(-,root,root)
%{py_platsitedir}/*.so
%{py_platsitedir}/*.egg-info


%changelog

* Mon Dec 05 2011 fwang <fwang> 0.15.9-1.mga2
+ Revision: 176764
- new version 0.15.9

* Mon Nov 28 2011 fwang <fwang> 0.15.8-2.mga2
+ Revision: 173524
- rebuild for new boost

* Sun Oct 02 2011 fwang <fwang> 0.15.8-1.mga2
+ Revision: 150825
- new version 0.15.8
- rebuild for new boost

  + ahmad <ahmad>
    - Update to 0.15.7
    - Change the BR to pkgconfig BR style
    - Don't ship .la
    - Replace libgeoip-devel with geoip-devel

* Wed Jun 22 2011 fwang <fwang> 0.15.6-2.mga2
+ Revision: 111905
- rebuild for new boost

* Sat Apr 16 2011 ahmad <ahmad> 0.15.6-1.mga1
+ Revision: 86826
- update to 0.15.6

* Tue Jan 18 2011 pterjan <pterjan> 0.15.5-2.mga1
+ Revision: 21835
- Rebuild for python 2.7

* Sun Jan 16 2011 ahmad <ahmad> 0.15.5-1.mga1
+ Revision: 19964
- update to 0.15.5

* Sun Jan 16 2011 ahmad <ahmad> 0.15.4-3.mga1
+ Revision: 19942
- clean spec and drop old/unneeded scriptlets
- imported package libtorrent-rasterbar

